Webhook

List Webhooks

GET /v1/webhook

GET/v1/webhook
GET
/v1/webhook

List all webhooks

Authorization

x-api-key<token>

API key for Open API authentication

In: header

Query Parameters

pageSizenumber

Number of items per page. Maximum 100.

Default: 25

pagenumber

Page number for pagination.

Default: 1

Responses

200
Webhooks fetched successfully
{
  "message": "Webhooks fetched successfully",
  "payload": {
    "meta": {
      "currentPage": 1,
      "itemsPerPage": 25,
      "itemsCount": 2,
      "totalItems": 2
    },
    "webhooks": [
      {
        "id": "69fb3ac1eda582171eb74826",
        "name": "Email Sent Webhook"
      },
      {
        "id": "69fb3ac2eda5823de5b7482c",
        "name": "Reply Received Webhook"
      }
    ]
  }
}

Request

curl -X GET \
  "https://open-api.saleshandy.com/v1/webhook" \
  -H "x-api-key: YOUR_API_KEY"

Response

No response body